SSMTP(8)

NAME
ssmtp, sendmail - send a message using smtp

SYNOPSIS
ssmtp [ flags ] [ address ... ]
/usr/lib/sendmail [ flags ] [ address ... ]

DESCRIPTION
ssmtp is a send-only sendmail emulator for machines which normally pick their mail up from a centralized mailhub (via pop, imap, nfs mounts or other means). It provides the functionality required for humans and programs to send mail via the standard or /usr/bin/mail user agents.

It accepts a mail stream on standard input with recipients specified on the command line and synchronously forwards the message to the mail transfer agent of a mailhub for the mailhub MTA to process. Failed messages are placed in dead.letter in the sender's home directory.

Config files allow one to specify the address to receive mail from root, daemon, etc.; a default mailhub; a default domain to be used in From: lines; and per-user From: addresses and mailhub names.

It does not attempt to provide all the functionality of sendmail: it is intended for use where other programs are the primary means of at last mail delivery. It is usefull with pop/imap, or to simulate the Sun shared mail spool option for non-Sun machines, for machines whose sendmails are too difficult (or various) to configure, for machines with known disfeatures in their sendmails or for ones where there are ``mysterious problems''.

It does not do aliasing, which must be done either in the user agent or on the mailhub. Nor does it honor .forwards, which have to be done on the recieving host. It especially does not deliver to pipelines.

OPTIONS
Most sendmail options are irrelevent to sSMTP. Those marked ``ignored'' or ``default'' have no effect on mail transfer. Those marked ``unsupported'' are fatal errors. Those marked ``simulated'' are not errors, but the result is for the program to exit with an informative message. A sort of fatal non-error.

-4  Forces ssmtp to use IPv4 addresses only.

-6  Forces ssmtp to use IPv6 addresses only.

-auusername
    Specifies username for SMTP authentication.

-appassword
    Specifies password for SMTP authentication.

-ammechanism
    Specifies mechanism for SMTP authentication. (Only LOGIN and CRAM-MD5)

-ba (unsupported) ARPANET mode. All input lines must end with a LINEFEED, and all messages will be generated with a CR-LF at the end. Also, the ``From:'' and ``Sender:'' fields are examined for the name of the sender.

-bd (unsupported) Run as a daemon.

-bi (ignored) Initialise the alias database.

-bm (default) Deliver mail in the usual way.

-bp (simulated) Print a summary of the mail queue.

-bs (unsupported) Read SMTP commands from stdin.

-bt (unsupported) Run in address test mode.

-bv (unsupported) Verify names only.

-bz (unsupported) Create the configuration freeze file.

-Cfile
    (ignored) Use alternate configuration file.

-dX Set debugging value to X.

-E  (ignored) Don't trust userid of sender.

-Ffullname
    Set the full name of the sender.

-fname
    Sets the name of the ``from'' person. This option is valid only if no From: line is specified within the header of the email.

-h  (ignored) Set the hop count to N.

-m  (ignored) Ignore originator in alias.

-Mid
    (ignored) Attempt to deliver the queued message with message-id id.

-N dsn
    (ignored) Set delivery status notification conditions to dsn.

-n  (default) Do not do aliasing.

-oAfile
    (ignored) Use alternate alias file.

-oc (ignored) Delay ``expensive'' connections.

-od (ignored) Set the delivery mode to interactive/synchronous, background or queue (Always interactive).

-oD (ignored) Run newaliases if required.

-oe (ignored) Set error processing to mail, write, print or quit. (Always print).

-oFmode
    (ignored) The mode to use when creating temporary files.

-of (ignored) Save UNIX-system-style ``From'' lines at the front of messages.

-ogN
    (ignored) Set group ID to use when calling mailers.

-oHfile
    (ignored) Set SMTP help file.

-oi (default) Do not take dots on a line by themselves as a message terminator.

-oLn
    (ignored) The log level.

-om (default) Send to ``me'' (the sender) also if in an alias.

-oo (unsupported) If set, this message may have old style headers.

-oQqueuedir
    (ignored) Select the directory in which to queue messages.

-ortimeout
    (ignored) The timeout on reads.

-oSfile
    (ignored) Save statistics in the named file.

-os (ignored) Always instantiate the queue.

-oTtime
    (ignored) Set timeout on messages.

-otstz,dtz
    (ignored) Set the name of the time zone.

-ouN
    (ignored) Set the default user id for mailers.

-q[time]
    (simulated) Process the queue.

-rname
    Same as -f.

-Rstring
    (ignored) Process queue for recipient.

-R return
    (ignored) Set the amount of the message to be returned if the message bounces.

-t  Read message, searching for recipients. ``To:'', `Cc:'', and ``Bcc:'' lines will be scanned for people to send to. Any addresses in the argument list will be suppressed (not supported).

-v  Go into verbose mode.

-V  Say version and quit.

REVERSE ALIASES
A reverse alias gives the From: address placed on a user's outgoing messages and (optionally) the mailhub these messages will be sent through. Example:

    root:jdoe@isp.com:mail.isp.com

Messages root sends will be identified as from jdoe@isp.com and sent through mail.isp.com.

FILES
 /etc/ssmtp/ssmtp.conf - configuration file
 /etc/ssmtp/revaliases - reverse aliases file

SEE ALSO
RFC821, RFC822.

AUTHORS
Matt Ryan (mryan@debian.org) Hugo Haas (hugo@debian.org) Christoph Lameter (clameter@debian.org) Dave Collier-Brown (davecb@hobbes.ss.org)

BUGS
sSMTP does not support exception lists to the -t option (never seen it used).

sSMTP will fail if the mailhub is unreachable.